// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 登录 POST /OMSLogin */
export async function OMSLogin(body, options) {
  const formData = new FormData();

  Object.keys(body).forEach(ele => {
    const item = body[ele];

    if (item !== undefined && item !== null) {
      form.append(ele, typeof item === 'object' ? JSON.stringify(item) : item);
    }
  });

  return request('/OMSLogin', {
    method: 'POST',
    data: formData,
    ...(options || {}),
  });
}
